%global __requires_exclude perl\\(VMS::Filespec\\)

Summary:        Deconstructed dynamic C library loading
Name:           perl-DynaLoader-Functions
Version:        0.003
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/DynaLoader-Functions
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/DynaLoader-Functions-%{version}.tar.gz

BuildRequires:  perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(Module::Build) perl(Carp)
BuildRequires:  perl(constant) perl(DynaLoader) perl(Exporter) perl(parent)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.280209 perl(File::Spec)
BuildRequires:  perl(Test::Pod) >= 1.00 perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%perl_version)
Requires:       perl(Carp) perl(DynaLoader)

BuildArch:      noarch

%description
This module implements a function-based dynamic loading interface that can be used by 
Perl. Some details of dynamic loading are platform-dependent, programmers need to be 
aware of changes in the platform space in order to use these functions correctly.

%prep
%autosetup -n DynaLoader-Functions-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.003-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.003-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 22 2022 Wang Guodong <gordonwwang@tencent.com> - 0.003-1
- package init.
